package domain

type AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItemdiscountDeleteactivityChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest) SetActivityId(v int64) *AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest) SetOutActId(v string) *AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest) SetByChannel(v bool) *AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest) SetChannelConfigList(v []AlibabaHmMarketingItemdiscountDeleteactivityChannelConfig) *AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest {
	s.ChannelConfigList = &v
	return s
}
